<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/
class Core_Widget_SearchHashtagsController extends Engine_Content_Widget_Abstract {
  public function indexAction() {
    if (!engine_in_array(
      'hashtags',
      Engine_Api::_()->getApi('settings', 'core')->getSetting('activity.composer.options')
    )) {
      return $this->setNoRender();
    }

    // Make form
    $this->view->form = $form = new Core_Form_SearchHashtags();
    $params = Zend_Controller_Front::getInstance()->getRequest()->getParams();
    $form->populate($params);
  }
}
